<% title "Applying Software Update" %>

<div id="update_status">
	<%= render :partial => 'status' %>
</div>
<div id="error" style="display:none">
</div>

<script type="text/javascript" charset="utf-8">
	jQuery(document).ready(function ($) {
		var fn = function() {
			$.ajax({
				url: '<%= url_for(:action => :status) %>',
				type: 'POST',
				data: {authenticity_token: '<%= form_authenticity_token %>'},
				success: function(data, textStatus, jqXHR) {
					$('#update_status').html(data);
				},
				complete: function() {
					if ($('#update_status .btn').length == 0) { setTimeout(fn, 3000); }
				}
			});
		};
		setTimeout(fn, 3000);
	});
</script>
